<template>
	<view class="add-view" @click="addPage(url, type)" v-if="access"><text class="custom-icon custom-icon-xinzeng"></text></view>
</template>

<script>
export default {
	props: {
		url: {
			type: String,
			default: ''
		},
		type: {
			type: String,
			default: ''
		},
		access: {
			type: Boolean,
			default: true
		}
	},
	data() {
		return {};
	},
	methods: {
		addPage(url, type) {
			if (url) {
				this.goPage(url, type);
			} else {
				this.$emit('click');
			}
		}
	}
};
</script>

<style lang="scss">
.add-view {
	background: $uni-color-primary;
	width: 64upx;
	height: 64upx;
	text-align: center;
	line-height: 64upx;
	position: fixed;
	bottom: 150upx;
	right: 30upx;
	z-index: 99;
	color: #ffffff;
	border-radius: 100%;
	box-shadow: 0px 9rpx 76rpx 0px rgba(3, 122, 255, 0.55);
	.custom-icon-xinzeng {
		font-size: 32upx;
	}
}
</style>
